﻿$ErrorActionPreference = 'Stop';

$pp = Get-PackageParameters

$packageName= 'rs-deploy-raj'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'RS.Deploy.Raj.Installer.msi'

$silentArgs = '/q'

$projectName = 'RS.Deploy.Raj'

if($pp -and $pp.count -gt 0)
{
	foreach($param in $pp.keys)
	{
		if($param -eq 'INSTALLFOLDER' -and (-not $pp[$param].Contains($projectName)))
		{
			$arg = " $param="""+ $(Join-Path $pp[$param] $projectName)+'"'
		}
		else
		{
			$arg = " $param="""+$pp[$param]+'"'
		}
		
		$silentArgs += $arg
	}
}

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  file          = $fileLocation
  silentArgs    = $silentArgs
  validExitCodes= @(0, 3010, 1641)
}

#echo $silentArgs

Install-ChocolateyInstallPackage @packageArgs